[package]
name = "api"
version = "0.1.0"
authors = ["z0mbie42 <sylvain@kerkour.fr>"]
edition = "2018"
license = "AGPL-3.0"

[dependencies]
eventsourcing = { path = "../rust_crates/eventsourcing-rs" }


kernel = { path = "../kernel" }
notes = { path = "../notes" }
contacts = { path = "../contacts" }
drive = { path = "../drive" }
gallery = { path = "../gallery" }
music = { path = "../music" }
bitflow = { path = "../bitflow" }
phaser = { path = "../phaser" }
billing = { path = "../billing" }
admin = { path = "../admin" }


actix-web = "1.0.0"
actix = "0.8"
actix-files = "0.1.1"
rusoto_core = "0.39"
rusoto_s3 = "0.39"
num_cpus = "1.0"
http = "0.1.0"
sentry = "0.15.2"
sentry-actix = "0.15.5"
